mod instruction;
mod loader;
mod state;
mod value;

pub use loader::compile_bytecode_from_file as compile_bytecode_from_file;
pub use loader::compile_bytecode_from_stdin as compile_bytecode_from_stdin;
pub use loader::parse_chunk as parse_chunk;
pub use state::Breakpoint as Breakpoint;
pub use state::State as State;
pub use state::StepError as StepError;
pub use state::StepOutput as StepOutput;
pub use value::Value as Value;

#[cfg (test)]
mod tests;
